com.verisign.epp.codec.gen

## Class EPPCheckCmd

- java.lang.Object
- - com.verisign.epp.codec.gen.EPPCommand
  - - com.verisign.epp.codec.gen.EPPCheckCmd

- All Implemented Interfaces:
    EPPCodecComponent, EPPMessage, java.io.Serializable, java.lang.Cloneable
  Direct Known Subclasses:
    EPPContactCheckCmd, EPPDefRegCheckCmd, EPPDomainCheckCmd, EPPEmailFwdCheckCmd, EPPHostCheckCmd, EPPIdnTableCheckCmd, EPPNameVerificationCheckCmd, EPPOrgCheckCmd, EPPRegistryCheckCmd, EPPRegistryCheckCmd, EPPRegistryCheckCmd, EPPValidateCheckCmd

      public abstract class EPPCheckCmd
      extends EPPCommand

  The EPP check command is used to determine if an object exists in the server repository. The elements needed to identify an object are object-specific, so the child elements of the check command are specified using the EPP extension framework. In addition to the standard EPP command elements, the check command SHALL contain the following child elements: An object-specific "obj:check" element that identify the objects to be queried. Multiple objects of the same type MAY be queried within a single `check` command.
  `EPPCheckCmd` is an abtract EPP command class that represents a check operation. A command mapping check command extends `EPPCheckCmd`. For example, `EPPDomainCheckCmd` is a `EPPCheckCmd` that implements the Domain Check Command Mapping.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.verisign.epp.codec.gen.EPPCommand

      `extensions, OP_APPROVE, OP_CANCEL, OP_QUERY, OP_REJECT, OP_REQUEST, transId, TYPE_CHECK, TYPE_CREATE, TYPE_DELETE, TYPE_INFO, TYPE_LOGIN, TYPE_LOGOUT, TYPE_POLL, TYPE_RENEW, TYPE_TRANSFER, TYPE_UPDATE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPCheckCmd()` Default constructor for `EPPCheckCmd`.
    `EPPCheckCmd(java.lang.String aTransId)` `EPPCheckCmd` that takes all required attributes as arguments.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract void` | `doDecode(org.w3c.dom.Element aElement)` Must be defined by `EPPCheckCmd` extensions (Command Mappings) to decode the attributes to a DOM Element tree.
    `protected abstract org.w3c.dom.Element` | `doEncode(org.w3c.dom.Document aDocument)` Must be defined by `EPPCheckCmd` extensions (Command Mappings) to encode the attributes to a DOM Element tree.
    `protected void` | `doGenDecode(org.w3c.dom.Element aElement)` Decodes the `EPPCheckCmd` attributes from the `aElement` DOM Element tree.
    `protected org.w3c.dom.Element` | `doGenEncode(org.w3c.dom.Document aDocument)` Encodes a DOM Element tree from the attributes of the `EPPCheckCmd` instance.
    `boolean` | `equals(java.lang.Object aObject)` Compares an instance of `EPPCheckCmd` with this instance.
    `java.lang.String` | `getType()` Gets the EPP command type associated with `EPPCheckCmd`.

    - ### Methods inherited from class com.verisign.epp.codec.gen.EPPCommand

      `addExtension, clone, decode, encode, findDuplicateExtNamespaces, getExtension, getExtension, getExtensions, getNamespace, getOp, getTransId, hasExtension, hasExtensions, hasTransId, setExtension, setExtensions, setTransId, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EPPCheckCmd

          public EPPCheckCmd()

      Default constructor for `EPPCheckCmd`.

    - #### EPPCheckCmd

          public EPPCheckCmd(java.lang.String aTransId)

      `EPPCheckCmd` that takes all required attributes as arguments. This will call the super `EPPCommand(String)` method to set the transaction id for the command.
      Parameters:
        `aTransId` - Transaction Id associated with command.

  - ### Method Detail

    - #### getType

          public java.lang.String getType()

      Gets the EPP command type associated with `EPPCheckCmd`.
      Specified by:
        `getType` in class `EPPCommand`
      Returns:
        EPPCommand.TYPE_CHECK

    - #### equals

          public boolean equals(java.lang.Object aObject)

      Compares an instance of `EPPCheckCmd` with this instance.
      Overrides:
        `equals` in class `EPPCommand`
      Parameters:
        `aObject` - Object to compare with.
      Returns:
        DOCUMENT ME!

    - #### doGenEncode

          protected org.w3c.dom.Element doGenEncode(org.w3c.dom.Document aDocument)
                                             throws EPPEncodeException

      Encodes a DOM Element tree from the attributes of the `EPPCheckCmd` instance. This method is a member of the Template Design Pattern. `EPPCommand.encode` is a Template Method and this method is a Primitive Operation within the Template Method Design Pattern.
      Specified by:
        `doGenEncode` in class `EPPCommand`
      Parameters:
        `aDocument` - - DOM Document that is being built. Used as an Element factory.
      Returns:
        Root DOM Element representing the `EPPCheckCmd` instance.
      Throws:
        `EPPEncodeException` - Unable to encode `EPPCheckCmd` instance.

    - #### doGenDecode

          protected void doGenDecode(org.w3c.dom.Element aElement)
                              throws EPPDecodeException

      Decodes the `EPPCheckCmd` attributes from the `aElement` DOM Element tree. This method is a member of the Template Design Pattern. `EPPCommand.decode` is a Template Method and this method is a Primitive Operation within the Template Method Design Pattern.
      Specified by:
        `doGenDecode` in class `EPPCommand`
      Parameters:
        `aElement` - - Root DOM Element to decode `EPPCheckCmd` from.
      Throws:
        `EPPDecodeException` - Unable to decode aElement

    - #### doEncode

          protected abstract org.w3c.dom.Element doEncode(org.w3c.dom.Document aDocument)
                                                   throws EPPEncodeException

      Must be defined by `EPPCheckCmd` extensions (Command Mappings) to encode the attributes to a DOM Element tree. `doGenEncode` is a Template Method and this method is a Primitive Operation within the Template Method Design Pattern.
      Parameters:
        `aDocument` - - DOM Document that is being built. Used as an Element factory.
      Returns:
        Root DOM Element representing the EPPCheckCmd extension instance.
      Throws:
        `EPPEncodeException` - Unable to encode EPPCheckCmd extension instance.

    - #### doDecode

          protected abstract void doDecode(org.w3c.dom.Element aElement)
                                    throws EPPDecodeException

      Must be defined by `EPPCheckCmd` extensions (Command Mappings) to decode the attributes to a DOM Element tree. `doGenDecode` is a Template Method and this method is a Primitive Operation within the Template Method Design Pattern.
      Parameters:
        `aElement` - Root DOM Element representing the `EPPCheckCmd` extension instance.
      Throws:
        `EPPDecodeException` - Unable to decode `aElement`.